            #GIT_CMT=a132c62b20a959fdcbc71f81307731dbe72129ef
Summary:          Gluster block storage utility
Name:             gluster-block
Version:          0.4
Release:    4.el7
Vendor:           Oracle America
License:          GPLv2 or LGPLv3+
URL:              https://github.com/gluster/gluster-block
Source0: gluster-block-0.4.tar.bz2

BuildRequires:    pkgconfig(glusterfs-api)
BuildRequires:    pkgconfig(json-c)
BuildRequires:    help2man >= 1.36
BuildRequires:    /usr/bin/rpcgen
BuildRequires:    systemd
# tarball releases require running ./autogen.sh
BuildRequires:    automake, autoconf, libtool, git

Requires:         tcmu-runner >= 1.1.3
Requires:         targetcli >= 2.1.fb49
Requires:         python-rtslib >= 2.1.fb69
Requires:         rpcbind

%{?systemd_requires}


%description
gluster-block is a CLI utility, which aims at making gluster backed block
storage creation and maintenance as simple as possible.

%prep
%autosetup -p 1

%build
echo %{version} > VERSION
./autogen.sh
%configure --enable-tirpc=no
%make_build

%install
%make_install
touch %{buildroot}%{_sharedstatedir}/gluster-block/gb_upgrade.status

%post
%systemd_post gluster-block-target.service
%systemd_post gluster-blockd.service

%preun
%systemd_preun gluster-block-target.service
%systemd_preun gluster-blockd.service

%postun
%systemd_postun_with_restart gluster-block-target.service
%systemd_postun_with_restart gluster-blockd.service

%files
%license COPYING-GPLV2 COPYING-LGPLV3
%doc README.md
%{_sbindir}/gluster-block
%{_sbindir}/gluster-blockd
%doc %{_mandir}/man8/gluster-block*.8*
%{_unitdir}/gluster-blockd.service
%{_unitdir}/gluster-block-target.service
%config(noreplace) %{_sysconfdir}/sysconfig/gluster-blockd
%config(noreplace) %{_sysconfdir}/logrotate.d/gluster-block
%{_libexecdir}/gluster-block
%dir %{_localstatedir}/log/gluster-block
%dir %{_sharedstatedir}/gluster-block
%ghost %{_sharedstatedir}/gluster-block/gb_upgrade.status
%config(noreplace) %{_sharedstatedir}/gluster-block/gluster-block-caps.info

%changelog
* Fri Sep 24 2021 Frank Batschulat <frank.batschulat@oracle.com> - 0.4-4.el7
- OL7: spec file workaround for libtirpc coredumps, disable libtirpc usage
  Orabug: 33395589 Orabug: 32977437 (Frank Batschulat)

* Fri Jun 11 2021 Frank Batschulat <frank.batschulat@oracle.com> - 0.4-3.el7
- OL8 spec file needs to require python3-rtslib OL7 spec file version update to 0.4-3 Orabug: 32977401 (Frank Batschulat)  
- OL8 spec file needs to require python3-rtslib Orabug: 32977401 (Frank Batschulat)

* Wed Apr 21 2021 Frank Batschulat <frank.batschulat@oracle.com> - 0.4-2.el7
- Unfortunately a minor missmerge block_create_common() (Frank Batschulat)  
- specfiles: update changelog and up to 0.4-2 (Frank Batschulat)  
- logging: avoid capturing sensitive details (Prasanna Kumar Kalever)  [Orabug: 32199692] 
- logging: clip off sensitive details in debug mode (Prasanna Kumar Kalever)  [Orabug: 32199692]  {CVE-2020-10762}

* Sat Mar 20 2021 Joe Jin <joe.jin@oracle.com> - 0.4-1.el7
- rpm-spec: upgrade to gluster-block-0.4-1

* Fri Mar 19 2021 Joe Jin <joe.jin@oracle,com>
- Upgrade to gluster-block-0.4-1

* Fri Mar 19 2021 Frank Batschulat <frank.batschulat@oracle.com> - 0.3-1
- Initial spec file for oracle-gluster-8

